const locales = require('./resources/locales.json');

const localesMap = (function () {
  let map = {};
  /** Copied from: validor/lib/isMobilePhone */
  locales.forEach((l) => {
    let iso2 = l.substr(3);
    map[iso2] = l;
  });

  return map;

})();

const iso2List = (function () {
  const countries = require('./resources/countries.json');
  let ret = [];
  countries.forEach(function (co) {
    ret.push(co.iso2.toUpperCase());
  });

  return ret;
})();

module.exports = {
  getAllLocales() {
    return locales;
  },
  getAllIso2 () {
    return iso2List;
  },
  getLocale(iso2) {
    return localesMap[iso2.toUpperCase()] || 'en-US';
  },
  getFlagImages () {
    return {
      'AD': require('./resources/flags/ad.png'),
      'AE': require('./resources/flags/ae.png'),
      'AF': require('./resources/flags/af.png'),
      'AG': require('./resources/flags/ag.png'),
      'AI': require('./resources/flags/ai.png'),
      'AL': require('./resources/flags/al.png'),
      'AM': require('./resources/flags/am.png'),
      'AO': require('./resources/flags/ao.png'),
      'AR': require('./resources/flags/ar.png'),
      'AS': require('./resources/flags/as.png'),
      'AT': require('./resources/flags/at.png'),
      'AU': require('./resources/flags/au.png'),
      'AW': require('./resources/flags/aw.png'),
      'AX': require('./resources/flags/ax.png'),
      'AZ': require('./resources/flags/az.png'),
      'BA': require('./resources/flags/ba.png'),
      'BB': require('./resources/flags/bb.png'),
      'BD': require('./resources/flags/bd.png'),
      'BE': require('./resources/flags/be.png'),
      'BF': require('./resources/flags/bf.png'),
      'BG': require('./resources/flags/bg.png'),
      'BH': require('./resources/flags/bh.png'),
      'BI': require('./resources/flags/bi.png'),
      'BJ': require('./resources/flags/bj.png'),
      'BL': require('./resources/flags/bl.png'),
      'BM': require('./resources/flags/bm.png'),
      'BN': require('./resources/flags/bn.png'),
      'BO': require('./resources/flags/bo.png'),
      'BQ': require('./resources/flags/bq.png'),
      'BR': require('./resources/flags/br.png'),
      'BS': require('./resources/flags/bs.png'),
      'BT': require('./resources/flags/bt.png'),
      'BW': require('./resources/flags/bw.png'),
      'BY': require('./resources/flags/by.png'),
      'BZ': require('./resources/flags/bz.png'),
      'CA': require('./resources/flags/ca.png'),
      'CC': require('./resources/flags/cc.png'),
      'CD': require('./resources/flags/cd.png'),
      'CF': require('./resources/flags/cf.png'),
      'CG': require('./resources/flags/cg.png'),
      'CH': require('./resources/flags/ch.png'),
      'CI': require('./resources/flags/ci.png'),
      'CK': require('./resources/flags/ck.png'),
      'CL': require('./resources/flags/cl.png'),
      'CM': require('./resources/flags/cm.png'),
      'CN': require('./resources/flags/cn.png'),
      'CO': require('./resources/flags/co.png'),
      'CR': require('./resources/flags/cr.png'),
      'CU': require('./resources/flags/cu.png'),
      'CV': require('./resources/flags/cv.png'),
      'CW': require('./resources/flags/cw.png'),
      'CX': require('./resources/flags/cx.png'),
      'CY': require('./resources/flags/cy.png'),
      'CZ': require('./resources/flags/cz.png'),
      'DE': require('./resources/flags/de.png'),
      'DJ': require('./resources/flags/dj.png'),
      'DK': require('./resources/flags/dk.png'),
      'DM': require('./resources/flags/dm.png'),
      'DO': require('./resources/flags/do.png'),
      'DZ': require('./resources/flags/dz.png'),
      'EC': require('./resources/flags/ec.png'),
      'EE': require('./resources/flags/ee.png'),
      'EG': require('./resources/flags/eg.png'),
      'EH': require('./resources/flags/eh.png'),
      'ER': require('./resources/flags/er.png'),
      'ES': require('./resources/flags/es.png'),
      'ET': require('./resources/flags/et.png'),
      'FI': require('./resources/flags/fi.png'),
      'FJ': require('./resources/flags/fj.png'),
      'FK': require('./resources/flags/fk.png'),
      'FM': require('./resources/flags/fm.png'),
      'FO': require('./resources/flags/fo.png'),
      'FR': require('./resources/flags/fr.png'),
      'GA': require('./resources/flags/ga.png'),
      'GB': require('./resources/flags/gb.png'),
      'GD': require('./resources/flags/gd.png'),
      'GE': require('./resources/flags/ge.png'),
      'GF': require('./resources/flags/gf.png'),
      'GG': require('./resources/flags/gg.png'),
      'GH': require('./resources/flags/gh.png'),
      'GI': require('./resources/flags/gi.png'),
      'GM': require('./resources/flags/gm.png'),
      'GN': require('./resources/flags/gn.png'),
      'GP': require('./resources/flags/gp.png'),
      'GQ': require('./resources/flags/gq.png'),
      'GR': require('./resources/flags/gr.png'),
      'GT': require('./resources/flags/gt.png'),
      'GU': require('./resources/flags/gu.png'),
      'GW': require('./resources/flags/gw.png'),
      'GY': require('./resources/flags/gy.png'),
      'HK': require('./resources/flags/hk.png'),
      'HN': require('./resources/flags/hn.png'),
      'HR': require('./resources/flags/hr.png'),
      'HT': require('./resources/flags/ht.png'),
      'HU': require('./resources/flags/hu.png'),
      'ID': require('./resources/flags/id.png'),
      'IE': require('./resources/flags/ie.png'),
      'IL': require('./resources/flags/il.png'),
      'IM': require('./resources/flags/im.png'),
      'IN': require('./resources/flags/in.png'),
      'IO': require('./resources/flags/io.png'),
      'IQ': require('./resources/flags/iq.png'),
      'IR': require('./resources/flags/ir.png'),
      'IS': require('./resources/flags/is.png'),
      'IT': require('./resources/flags/it.png'),
      'JE': require('./resources/flags/je.png'),
      'JM': require('./resources/flags/jm.png'),
      'JO': require('./resources/flags/jo.png'),
      'JP': require('./resources/flags/jp.png'),
      'KE': require('./resources/flags/ke.png'),
      'KG': require('./resources/flags/kg.png'),
      'KH': require('./resources/flags/kh.png'),
      'KI': require('./resources/flags/ki.png'),
      'KM': require('./resources/flags/km.png'),
      'KN': require('./resources/flags/kn.png'),
      'KP': require('./resources/flags/kp.png'),
      'KR': require('./resources/flags/kr.png'),
      'KS': require('./resources/flags/ks.png'),
      'KW': require('./resources/flags/kw.png'),
      'KY': require('./resources/flags/ky.png'),
      'KZ': require('./resources/flags/kz.png'),
      'LA': require('./resources/flags/la.png'),
      'LB': require('./resources/flags/lb.png'),
      'LC': require('./resources/flags/lc.png'),
      'LI': require('./resources/flags/li.png'),
      'LK': require('./resources/flags/lk.png'),
      'LR': require('./resources/flags/lr.png'),
      'LS': require('./resources/flags/ls.png'),
      'LT': require('./resources/flags/lt.png'),
      'LU': require('./resources/flags/lu.png'),
      'LV': require('./resources/flags/lv.png'),
      'LY': require('./resources/flags/ly.png'),
      'MA': require('./resources/flags/ma.png'),
      'MC': require('./resources/flags/mc.png'),
      'MD': require('./resources/flags/md.png'),
      'ME': require('./resources/flags/me.png'),
      'MF': require('./resources/flags/mf.png'),
      'MG': require('./resources/flags/mg.png'),
      'MH': require('./resources/flags/mh.png'),
      'MK': require('./resources/flags/mk.png'),
      'ML': require('./resources/flags/ml.png'),
      'MM': require('./resources/flags/mm.png'),
      'MN': require('./resources/flags/mn.png'),
      'MO': require('./resources/flags/mo.png'),
      'MP': require('./resources/flags/mp.png'),
      'MQ': require('./resources/flags/mq.png'),
      'MR': require('./resources/flags/mr.png'),
      'MS': require('./resources/flags/ms.png'),
      'MT': require('./resources/flags/mt.png'),
      'MU': require('./resources/flags/mu.png'),
      'MV': require('./resources/flags/mv.png'),
      'MW': require('./resources/flags/mw.png'),
      'MX': require('./resources/flags/mx.png'),
      'MY': require('./resources/flags/my.png'),
      'MZ': require('./resources/flags/mz.png'),
      'NA': require('./resources/flags/na.png'),
      'NC': require('./resources/flags/nc.png'),
      'NE': require('./resources/flags/ne.png'),
      'NF': require('./resources/flags/nf.png'),
      'NG': require('./resources/flags/ng.png'),
      'NI': require('./resources/flags/ni.png'),
      'NL': require('./resources/flags/nl.png'),
      'NO': require('./resources/flags/no.png'),
      'NP': require('./resources/flags/np.png'),
      'NR': require('./resources/flags/nr.png'),
      'NU': require('./resources/flags/nu.png'),
      'NZ': require('./resources/flags/nz.png'),
      'OM': require('./resources/flags/om.png'),
      'PA': require('./resources/flags/pa.png'),
      'PE': require('./resources/flags/pe.png'),
      'PF': require('./resources/flags/pf.png'),
      'PG': require('./resources/flags/pg.png'),
      'PH': require('./resources/flags/ph.png'),
      'PK': require('./resources/flags/pk.png'),
      'PL': require('./resources/flags/pl.png'),
      'PM': require('./resources/flags/pm.png'),
      'PR': require('./resources/flags/pr.png'),
      'PS': require('./resources/flags/ps.png'),
      'PT': require('./resources/flags/pt.png'),
      'PW': require('./resources/flags/pw.png'),
      'PY': require('./resources/flags/py.png'),
      'QA': require('./resources/flags/qa.png'),
      'RE': require('./resources/flags/re.png'),
      'RO': require('./resources/flags/ro.png'),
      'RS': require('./resources/flags/rs.png'),
      'RU': require('./resources/flags/ru.png'),
      'RW': require('./resources/flags/rw.png'),
      'SA': require('./resources/flags/sa.png'),
      'SB': require('./resources/flags/sb.png'),
      'SC': require('./resources/flags/sc.png'),
      'SD': require('./resources/flags/sd.png'),
      'SE': require('./resources/flags/se.png'),
      'SG': require('./resources/flags/sg.png'),
      'SH': require('./resources/flags/sh.png'),
      'SI': require('./resources/flags/si.png'),
      'SJ': require('./resources/flags/sj.png'),
      'SK': require('./resources/flags/sk.png'),
      'SL': require('./resources/flags/sl.png'),
      'SM': require('./resources/flags/sm.png'),
      'SN': require('./resources/flags/sn.png'),
      'SO': require('./resources/flags/so.png'),
      'SR': require('./resources/flags/sr.png'),
      'SS': require('./resources/flags/ss.png'),
      'ST': require('./resources/flags/st.png'),
      'SV': require('./resources/flags/sv.png'),
      'SX': require('./resources/flags/sx.png'),
      'SY': require('./resources/flags/sy.png'),
      'SZ': require('./resources/flags/sz.png'),
      'TC': require('./resources/flags/tc.png'),
      'TD': require('./resources/flags/td.png'),
      'TG': require('./resources/flags/tg.png'),
      'TH': require('./resources/flags/th.png'),
      'TJ': require('./resources/flags/tj.png'),
      'TK': require('./resources/flags/tk.png'),
      'TL': require('./resources/flags/tl.png'),
      'TM': require('./resources/flags/tm.png'),
      'TN': require('./resources/flags/tn.png'),
      'TO': require('./resources/flags/to.png'),
      'TR': require('./resources/flags/tr.png'),
      'TT': require('./resources/flags/tt.png'),
      'TV': require('./resources/flags/tv.png'),
      'TW': require('./resources/flags/tw.png'),
      'TZ': require('./resources/flags/tz.png'),
      'UA': require('./resources/flags/ua.png'),
      'UG': require('./resources/flags/ug.png'),
      'US': require('./resources/flags/us.png'),
      'UY': require('./resources/flags/uy.png'),
      'UZ': require('./resources/flags/uz.png'),
      'VA': require('./resources/flags/va.png'),
      'VC': require('./resources/flags/vc.png'),
      'VE': require('./resources/flags/ve.png'),
      'VG': require('./resources/flags/vg.png'),
      'VI': require('./resources/flags/vi.png'),
      'VN': require('./resources/flags/vn.png'),
      'VU': require('./resources/flags/vu.png'),
      'WF': require('./resources/flags/wf.png'),
      'WS': require('./resources/flags/ws.png'),
      'YE': require('./resources/flags/ye.png'),
      'YT': require('./resources/flags/yt.png'),
      'ZA': require('./resources/flags/za.png'),
      'ZM': require('./resources/flags/zm.png'),
      'ZW': require('./resources/flags/zw.png'),
    }
  }
};

